%define	major 0
%define libname	%mklibname altermime %{major}

Summary:	Allows you to modify mailpacks
Name:		altermime
Version:	0.3.7
Release:	%mkrel 2
License:	BSD
Group:		Networking/Mail
URL:		http://www.pldaniels.com/altermime/
Source0:	http://www.pldaniels.com/altermime/%{name}-%{version}.tar.bz2
Patch0:		altermime-0.3.7-shared.diff
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
alterMIME is a small program which is used to alter your
mime-encoded emailpacks as typically received by Inflex,
XaMime and AMaViS.
 
alterMIME will allow you to put in things like disclaimers
in each email's text body, and also permit you to nullify
(make into a zero-byte) attachments. 

%package -n	%{libname}
Summary:	Shared %{name} library
Group:          System/Libraries

%description -n	%{libname}
alterMIME is a small program which is used to alter your
mime-encoded emailpacks as typically received by Inflex,
XaMime and AMaViS.
 
alterMIME will allow you to put in things like disclaimers
in each email's text body, and also permit you to nullify
(make into a zero-byte) attachments. 

%package -n	%{libname}-devel
Summary:	Development files for the %{name} library
Group:		Development/C
Provides:	%{name}-devel
Provides:	lib%{name}-devel
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-devel
alterMIME is a small program which is used to alter your
mime-encoded emailpacks as typically received by Inflex,
XaMime and AMaViS.
 
alterMIME will allow you to put in things like disclaimers
in each email's text body, and also permit you to nullify
(make into a zero-byte) attachments. 

%prep

%setup -q
%patch0 -p0

%build

%make RPM_OPT_FLAGS="%{optflags} -fPIC -D_REENTRANT -I." libdir=%{_libdir}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std \
    bindir=%{_bindir} \
    libdir=%{_libdir} \
    includedir=%{_includedir}/%{name} \

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG INSTALL LICENCE README
%{_bindir}/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Thu Aug 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3.7-0.3.7-2mdv2007.0
- rebuild 

* Wed Mar 29 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3.7-1mdk
- 0.3.7
- rediffed P0

* Wed Jan 18 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3.6-2mdk
- make it install correctly on x86_64

* Sun Jan 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.3.6-1mdk
- 0.3.6
- use libtool

* Fri Dec 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.3.5-3mdk
- revert latest "lib64 fixes"

* Tue Dec 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.3.5-2mdk
- lib64 fixes

* Sat Nov 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.3.5-1mdk
- 0.3.5
- provide a shared lib here too as well (P0)

* Sat Nov 15 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.3-1mdk
- 0.3.3

* Sun May 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.1-1mdk
- 0.3.1
- hrm..., how do one spell licence?
- use spec file magic to enable compilation against dietlibc, use
  "rpm --rebuild --with diet altermime-0.3.1-1mdk.src.rpm"

* Mon Mar 17 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2.1-1mdk
- 0.2.1

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.1.14-2mdk
- build release

* Tue Nov 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.1.14-1mdk
- new version

* Sun Aug  4 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.1.13-2mdk
- rebuilt with gcc-3.2

* Sun May 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.1.13-1mdk
- initial cooker contrib
